import com.imsl.stat.*;
import com.imsl.math.PrintMatrix;


public class RegressorsForGLMEx1 {
    public static void main(String args[]) {
        double x[][] = {
            {10.0,  5.0},
            {20.0, 15.0},
            {20.0, 10.0},
            {10.0, 10.0},
            {10.0, 15.0},
            {20.0,  5.0}
        };

        RegressorsForGLM r = new RegressorsForGLM(x, 2);
        double regressors[][] = r.getRegressors();
        int n = r.getNumberOfRegressors();
        System.out.println("Number of regressors = "+n);
        new PrintMatrix("Regressors").print(regressors);
    }
}
